GridFire v0.7.6rc4.0 General Purpose Nuclear Network

Loading...
Searching...
No Matches
Namespaces | Functions
priming.h File Reference
`#include "gridfire/engine/engine_abstract.h"`
`#include "gridfire/engine/engine_graph.h"`
`#include "gridfire/types/types.h"`
`#include "fourdst/atomic/atomicSpecies.h"`
`#include "gridfire/engine/scratchpads/blob.h"`
Include dependency graph for priming.h:
This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | gridfire
namespace | gridfire::engine

## Functions
PrimingReport | gridfire::engine::primeNetwork (scratch::StateBlob &ctx, const NetIn &netIn, const GraphEngine &engine, const std::optional< std::vector< reaction::ReactionType > > &ignoredReactionTypes)
| Primes absent species in the network to their equilibrium abundances.